## nvidia-graphics-drivers-legacy-340xx 340.102

=== debian/changelog ===
nvidia-graphics-drivers-legacy-340xx (340.102-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Thu, 20 Apr 2017 21:00:09 -0500

nvidia-graphics-drivers-legacy-340xx (340.102-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 04 Mar 2017 21:26:57 +0100

nvidia-graphics-drivers-legacy-340xx (340.102-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.102 (2017-02-14).
    * Fixed CVE-2017-0309, CVE-2017-0310, CVE-2017-0311, CVE-2017-0318,
      CVE-2017-0321.  (Closes: #855278)

  [ Andreas Beckmann ]
  * unregister_proc_on_failure.patch: New, unregister procfs entries during
    error unwind if loading the module failed.  (Closes: #764639)

  [ Luca Boccassi ]
  * Add deprecated-cpu-events.patch and vmf-address.patch to fix kernel
    module build on Linux 4.10 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Feb 2017 11:25:36 +0100

nvidia-graphics-drivers-legacy-340xx (340.101-3) unstable; urgency=medium

  * Switch to debhelper compat level 10.
  * Add ${nvidia:Deb-Version-After:jessie} substvar to simplify adjusting
    Breaks/Replaces for new upstream releases in stable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 24 Jan 2017 04:31:14 +0100

nvidia-graphics-drivers-legacy-340xx (340.101-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Jan 2017 14:33:07 +0100

nvidia-graphics-drivers-legacy-340xx (340.101-2) unstable; urgency=medium

  [ Luca Boccassi ]
  * Add drm-driver-legacy.patch to fix nvidia kernel module load issue on
    Linux 4.9 and newer.  (Closes: #848514)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Dec 2016 14:07:00 +0100

nvidia-graphics-drivers-legacy-340xx (340.101-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.101 (2016-12-14).
    * Fixed CVE-2016-8826.  (Closes: #848196)
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Synchronize packaging with nvidia-graphics-drivers 370.28-2:
    - Overhaul package descriptions.
  * Add xorg-video-abi-23 as alternative dependency.  (Closes: #845640)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 Dec 2016 13:47:35 +0100

nvidia-graphics-drivers-legacy-340xx (340.98-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Nov 2016 23:55:12 +0100

nvidia-graphics-drivers-legacy-340xx (340.98-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.98 (2016-09-26).
    * Fixed CVE-2016-7382, CVE-2016-7389.  (Closes: #846332)
    - Added support for the screen_info.ext_lfb_base field, on kernels that
      have it, in order to properly handle UEFI framebuffer consoles with
      physical addresses above 4GB.
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * page-cache-release.patch, get-user-pages.patch, vm-fault-minor.patch:
    Drop, fixed upstream.
  * Synchronize packaging with nvidia-graphics-drivers 358.16-1:
    - get-orig-source: Generate .orig-$ARCH.tar.gz for each architecture.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 07 Oct 2016 21:39:45 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-9~bpo8+2) jessie-backports; urgency=medium

  * nvidia-legacy-340xx-kernel-source: Remove :any qualification from
    Depends: make, not supported in jessie.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 20 Sep 2016 14:06:05 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-9~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Jul 2016 02:53:49 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-9) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 352.79-10:
    - Build libnvidia-legacy-340xx-encode1 and libnvidia-legacy-340xx-ifr1 for
      armhf, too.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 18 Jul 2016 19:47:31 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-8) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 352.79-9:
  * libnvidia-legacy-340xx-glcore: New package, split from
    libgl1-nvidia-legacy-340xx-glx.
  * libnvidia-legacy-340xx-cfg1: New package, split from
    libgl1-nvidia-legacy-340xx-glx.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Jul 2016 19:39:05 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-7) unstable; urgency=medium

  * nvidia-legacy-340xx-driver-libs: New metapackage for bundling the
    Depends/Recommends on the OpenGL/GLX/EGL/GLES packages.
  * Replace libgl1-nvidia-legacy-340xx-glx-i386 with new
    nvidia-legacy-340xx-driver-libs-i386 metapackage.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Jun 2016 18:41:44 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-6~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 14 Jun 2016 19:29:41 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-6) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 352.79-8:
    - Add get-user-pages.patch to fix kernel module build for Linux 4.6.
      (Closes: #822645)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Jun 2016 10:03:48 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-5) unstable; urgency=medium

  [ Luca Boccassi ]
  * Synchronize packaging with nvidia-graphics-drivers 352.79-7:
    - Add page-cache-release.patch and vm-fault-minor.patch (uvm only) to fix
      kernel module build for Linux 4.6.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Apr 2016 12:51:46 +0200

nvidia-graphics-drivers-legacy-340xx (340.96-4) unstable; urgency=medium

  * Synchronize packaging with nvidia-graphics-drivers 352.79-6:
    - Further improvements to the module build process.

