=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Source: nvidia-graphics-drivers-legacy-340xx
 Section: non-free/libs
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
- Russ Allbery <rra@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
- Luca Boccassi <luca.boccassi@gmail.com>,
-Bugs: mailto: <v3g4n@mxlinux.org>
+ Luca Boccassi <bluca@debian.org>,
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-340xx/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-340xx/
 Build-Depends:
@@ -20,7 +19,7 @@
  libxext6,
  quilt,
  po-debconf,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://www.nvidia.com
 XS-Autobuild: yes
 
@@ -308,12 +307,12 @@
 Depends:
  ${nvidia}-alternative (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
+Provides:
+ libnvidia-cfg1-any,
 Breaks:
  libgl1-${nvidia}-glx (<< 340.96-8~),
 Replaces:
  libgl1-${nvidia}-glx (<< 340.96-8~),
-Provides:
- libnvidia-cfg1-any,
 Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:LegacyDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
@@ -326,6 +325,7 @@
 Architecture: i386 amd64 armhf
 Multi-Arch: foreign
 Pre-Depends:
+ dpkg (>= 1.17.21),
  ${nvidia:legacy-check},
 Depends:
  glx-alternative-nvidia (>= 0.7),
