=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-NVIDIA_RELEASE		:= $(shell dpkg-parsechangelog --show-field=Version | sed -r 's/^[0-9]+://; s/-[^-]+$$//')
-BUILD_DATE		:= $(shell dpkg-parsechangelog --show-field=Date)
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
 
 include debian/rules.defs
 NVIDIA_LEGACY		?=
@@ -22,6 +19,7 @@
 ARCH_DEPS_i386		?=
 UVM_ARCH_LIST		?= $(ARCH_LIST)
 
+NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
 version			 = $(NVIDIA_RELEASE)
 version_major		 = $(firstword $(subst ., ,$(version)))
 deb_version_after_jessie = $(DEB_VERSION_AFTER_jessie)
@@ -86,6 +84,9 @@
 xorg_depends	+= $(comma) xserver-xorg-core $(XORG_BOUND)
 xorg_provides	 = xorg-driver-video
 
+# Use the amd64 changelog for all architectures to be M-A:same safe.
+upstream_changelog	 = NVIDIA-Linux-amd64/NVIDIA_Changelog
+
 
 .PHONY: autogen prepare patch
 autogen: $(AUTOGEN)
@@ -163,8 +164,8 @@
 install-into-tmp:
 	# "Install" into debian/tmp.
 	cp -al NVIDIA-Linux/ debian/tmp
+	rm -rf debian/tmp/32
 	rm -f debian/tmp/NVIDIA_Changelog
-	cp -al NVIDIA-Linux-amd64/NVIDIA_Changelog debian/tmp/
 	gzip -9fn debian/tmp/nvidia-smi.1
 
 build-kernel-source-tree: install-into-tmp
@@ -173,7 +174,7 @@
 	mv debian/tmp/kernel/* $(module_source)/
 	# This copy of the changelog is going to be installed into the module
 	# binary packages.
-	cp -a debian/tmp/NVIDIA_Changelog $(module_source)/
+	cp -al $(upstream_changelog) $(module_source)/
 
 ifneq (,$(has_uvm))
 	ln -sf ../conftest.sh $(module_source)/uvm
@@ -195,10 +196,12 @@
 	# Fix permissions.
 	chmod -R a-sx,u=rwX,go=rX $(module_source)/../..
 	chmod a+x $(module_source)/debian/rules
-	find '$(module_source)/../../modules' -depth -newermt '$(BUILD_DATE)' -print0 | \
-		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
+	find '$(module_source)/../../modules' -depth -newermt '@$(SOURCE_DATE_EPOCH)' -print0 | \
+		xargs -0r touch --no-dereference --date='@$(SOURCE_DATE_EPOCH)'
 
 	# Build the tarball.
 	(cd $(module_source)/../.. && find modules -print0) | \
 	  LC_ALL=C sort -z | \
 	  tar cfJ $(module_txz) \
+	    --owner=root --group=src -C $(module_source)/../.. \
+	    --exclude '*.in' --exclude '.svn' \
