## nvidia-graphics-drivers-legacy-340xx 340.106

=== debian/changelog ===
nvidia-graphics-drivers-legacy-340xx (340.106-2~deb9u1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Revert changelog parsing changes that require dpkg 1.18.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 12 Mar 2018 23:21:43 +0100

nvidia-graphics-drivers-legacy-340xx (340.106-2~deb9u1) stretch; urgency=medium

  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Feb 2018 01:10:49 +0100

nvidia-graphics-drivers-legacy-340xx (340.106-2) unstable; urgency=medium

  * nvidia-kernel-{dkms,source}: Mention the supported architecture(s) in the
    long Description (384.111-4).
  * Use dh_missing --fail-missing (384.111-4).
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 31 Jan 2018 10:44:05 +0100

nvidia-graphics-drivers-legacy-340xx (340.106-1) unstable; urgency=medium

  * New upstream legacy 340xx branch release 340.106 (2018-01-16).
    * Fixed CVE-2017-5753, CVE-2017-5715 (spectre), CVE-2017-5754 (meltdown).
      https://nvidia.custhelp.com/app/answers/detail/a_id/4611
      (Closes: #886852)
    - Fixed a compatibility problem between the nvidia.ko's Page Attribute
      Table (PAT) support and the kernel Page Table Isolation (PTI) patches.
      To optimize stores to memory, nvidia.ko contains support for
      configuring the CPU's PAT registers, as a fallback for Linux kernels
      that predate kernel native PAT support.  On any recent kernel
      with CONFIG_X86_PAT enabled, the driver will detect that setup has
      already been done and skip its PAT setup.  However, a static inline
      function called by nvidia.ko's PAT fallback support was updated in
      the PTI patches to use the EXPORT_SYMBOL_GPL symbol 'cpu_tlbstate'.
      nvidia.ko was updated to only contain its PAT fallback support,
      at build time, on kernels without CONFIG_X86_PAT.
    * Improved compatibility with recent Linux kernels.

  [ Luca Boccassi ]
  * Drop nvidia-drm-pci-init.patch and timer.patch, fixed upstream.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Jan 2018 20:50:05 +0100

nvidia-graphics-drivers-legacy-340xx (340.104-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Bump Standards-Version to 4.1.3. No changes needed.
  * Stop shipping the classic libnvidia-tls.so.* and ship the modern one (for
    Linux 2.6 onwards) in the regular libdir instead of the tls/ subdir
    (384.111-1).  (Closes: #883615)
  * Add #tls# substitution for the tls/ source directory (384.111-1).
  * nvidia-legacy-340xx-alternative.prerm: Trigger register-glx-alternative-
    nvidia upon removal (384.111-3).  (Closes: #883637)
  * libgl1-nvidia-legacy-340xx-glx.prerm: Do not forcibly remove the nvidia
    alternative, this would reset it from manual mode to auto mode while it
    could still be needed by other packages, e.g. libcuda1. Let the
    nvidia-legacy-340xx-alternative triggers handle it instead (384.111-3).

  [ Luca Boccassi ]
  * Add timer.patch to fix kernel module build on Linux 4.15 and newer.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Jan 2018 03:08:52 +0100

nvidia-graphics-drivers-legacy-340xx (340.104-3) unstable; urgency=medium

  * B-D: dpkg-dev (>= 1.18.8) for SOURCE_DATE_EPOCH in pkg-info.mk (375.82-9).
  * Set Rules-Requires-Root: no (375.82-9).

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Nov 2017 10:29:33 +0100

nvidia-graphics-drivers-legacy-340xx (340.104-2) unstable; urgency=medium

  * Use debian/substvars for substitutions by dpkg-genchanges (dpkg 1.19)
    (375.82-7).
  * nvidia-detect: Detect devices in PCI classes 0301 (XGA compatible
    controller) and 0302 (3D controller), too (375.82-7).
  * bug-script: List these devices, too (375.82-7).
  * Use https:// URLs where possible (375.82-8).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 16 Nov 2017 02:31:15 +0100
