=== debian/control ===
--- 
+++ 
@@ -2,9 +2,7 @@
 Source: nvidia-graphics-drivers-legacy-340xx
 Section: non-free/libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
@@ -19,8 +17,9 @@
  libxext6,
  quilt,
  po-debconf,
-Standards-Version: 4.1.1
-Homepage: http://www.nvidia.com
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
+Homepage: https://www.nvidia.com
 XS-Autobuild: yes
 
 #Package: ${nvidia}-driver
@@ -362,3 +361,4 @@
 Replaces:
  glx-alternative-nvidia (<< 0.6.91),
 Description: NVIDIA binary kernel module support files${nvidia:LegacyDesc}
+ The NVIDIA binary driver provides optimized hardware acceleration of
