=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,11 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/pkg-info.mk
+DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+NVIDIA_RELEASE		:= $(shell dpkg-parsechangelog --show-field=Version | sed -r 's/^[0-9]+://; s/-[^-]+$$//')
+BUILD_DATE		:= $(shell dpkg-parsechangelog --show-field=Date)
 
 include debian/rules.defs
 NVIDIA_LEGACY		?=
@@ -17,9 +20,9 @@
 NVIDIA_SETTINGS		?= nvidia-settings$(legacy)
 ARCH_LIST		?= i386 amd64
 ARCH_DEPS_i386		?=
+BLOB_ARCH_LIST		?= $(strip $(DEB_HOST_ARCH) $(ARCH_DEPS_$(DEB_HOST_ARCH)))
 UVM_ARCH_LIST		?= $(ARCH_LIST)
 
-NVIDIA_RELEASE		 = $(DEB_VERSION_UPSTREAM)
 version			 = $(NVIDIA_RELEASE)
 version_major		 = $(firstword $(subst ., ,$(version)))
 deb_version_after_jessie = $(DEB_VERSION_AFTER_jessie)
@@ -72,6 +75,7 @@
 AUTOGEN		+= debian/module/debian/changelog
 AUTOGEN		+= $(patsubst %.in,%,$(RENAMED_CONTROL))
 AUTOGEN		+= debian/bug-control
+AUTOGEN		+= debian/substvars
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
@@ -79,6 +83,8 @@
 module_txz	 = $(subst /modules/,/,$(module_source)).tar.xz
 dkms_source	 = debian/$(nvidia)-kernel-dkms/usr/src/$(module)-$(version)
 
+empty		 =
+space		 = $(empty) $(empty)
 comma		 = ,
 xorg_depends	 = $(foreach abi, $(XORG_ABI_LIST), xorg-video-abi-$(abi) |)
 xorg_depends	+= $(comma) xserver-xorg-core $(XORG_BOUND)
@@ -183,7 +189,7 @@
 	# We may need nv-kernel.o for several architectures to accomodate
 	# all kernel flavors. Use Kbuild-compatible names.
 	rm -f $(module_source)/nv-kernel.o
-	$(foreach a,$(DEB_HOST_ARCH) $(ARCH_DEPS_$(DEB_HOST_ARCH)),cp -a NVIDIA-Linux-$a/kernel/nv-kernel.o $(module_source)/nv-kernel-$a.o_shipped ;)
+	$(foreach a,$(BLOB_ARCH_LIST),cp -a NVIDIA-Linux-$a/kernel/nv-kernel.o $(module_source)/nv-kernel-$a.o_shipped ;)
 
 	# Install a debian/ tree.
 	cp -a debian/module/debian $(module_source)/
@@ -196,12 +202,4 @@
 	# Fix permissions.
 	chmod -R a-sx,u=rwX,go=rX $(module_source)/../..
 	chmod a+x $(module_source)/debian/rules
-	find '$(module_source)/../../modules' -depth -newermt '@$(SOURCE_DATE_EPOCH)' -print0 | \
-		xargs -0r touch --no-dereference --date='@$(SOURCE_DATE_EPOCH)'
-
-	# Build the tarball.
-	(cd $(module_source)/../.. && find modules -print0) | \
-	  LC_ALL=C sort -z | \
-	  tar cfJ $(module_txz) \
-	    --owner=root --group=src -C $(module_source)/../.. \
-	    --exclude '*.in' --exclude '.svn' \
+	find '$(module_source)/../../modules' -depth -newermt '$(BUILD_DATE)' -print0 | \
